Loading...
Searching...
No Matches
raptor::size_validator Class Reference

## Public Types

using | option_value_type = std::string

## Public Member Functions

std::string | get_help_page_message () const
void | operator() (option_value_type const &cmp) const
template<std::ranges::forward_range range_type> requires std::convertible_to<std::ranges::range_value_t<range_type>, option_value_type const &>
void | operator() (range_type const &v) const
size_validator & | operator= (size_validator &&)=default
size_validator & | operator= (size_validator const &)=default
| size_validator (size_validator &&)=default
| size_validator (size_validator const &)=default
| size_validator (std::string const &pattern)

## Private Attributes

std::regex | expression

The documentation for this class was generated from the following file:

- validators.hpp